Skip to content
Start here

Create namespace.

aisearch.namespaces.create(NamespaceCreateParams**kwargs) -> NamespaceCreateResponse
POST/accounts/{account_id}/ai-search/namespaces

Create a new namespace.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: Optional[str]
name: str
description: Optional[str]

Optional description for the namespace. Max 256 characters.

maxLength256
ReturnsExpand Collapse
class NamespaceCreateResponse:
created_at: datetime
formatdate-time
name: str
description: Optional[str]

Optional description for the namespace. Max 256 characters.

maxLength256

Create namespace.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
namespace = client.aisearch.namespaces.create(
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
    name="name",
)
print(namespace.created_at)
{
  "result": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "name": "production",
    "description": "Production environment"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "name": "production",
    "description": "Production environment"
  },
  "success": true
}